> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumenaza.de/llms.txt
> Use this file to discover all available pages before exploring further.

# List Payment Advices

> Return all payment advices as a list with additional information. The query parameters are used to filter the result. By default, the results are paginated. To disable pagination, set the page_size parameter to null. Disabling pagination is not recommended and can run into server timeout.



## OpenAPI

````yaml /lumx_openapi.yaml get /v3/marketpartners/payment_advices/
openapi: 3.0.3
info:
  title: Lumenaza external API
  version: 3.8.0 (v3)
  description: Specification of the Lumenaza external API.
servers:
  - url: https://api.lumenaza.de/
    description: Produktivserver
  - url: https://api.test.lumenaza.de/
    description: Testserver
security: []
tags:
  - name: Community Data API
    description: >-
      The API is used to retrieve master data and measurement data for a
      community. A community is defined by all customers that belong to your
      company.
paths:
  /v3/marketpartners/payment_advices/:
    get:
      tags:
        - marketpartners
      summary: List Payment Advices
      description: >-
        Return all payment advices as a list with additional information. The
        query parameters are used to filter the result. By default, the results
        are paginated. To disable pagination, set the page_size parameter to
        null. Disabling pagination is not recommended and can run into server
        timeout.
      operationId: marketpartners_payment_advices_list
      parameters:
        - in: query
          name: market_partner
          schema:
            type: string
          description: Market partner ID
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - in: query
          name: page_size
          schema:
            type: integer
          description: Page size, set to null to disable pagination
        - in: query
          name: pay_date
          schema:
            type: string
            format: date
          description: Pay date
        - in: query
          name: pay_date__gte
          schema:
            type: string
            format: date
          description: Pay date greater than or equal to
        - in: query
          name: pay_date__lte
          schema:
            type: string
            format: date
          description: Pay date less than or equal to
        - in: query
          name: remadv_sent
          schema:
            type: string
            format: date-time
          description: Remadv sent datetime
        - in: query
          name: remadv_sent__gte
          schema:
            type: string
            format: date-time
          description: Remadv sent datetime greater than or equal to
        - in: query
          name: remadv_sent__lte
          schema:
            type: string
            format: date-time
          description: Remadv sent datetime less than or equal to
        - in: query
          name: remittance_advice_number
          schema:
            type: string
          description: Remittance advice number
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedPaymentAdviceResponseList'
              examples:
                ListPaymentAdvicesSuccess:
                  value:
                    count: 123
                    next: http://api.example.org/accounts/?page=4
                    previous: http://api.example.org/accounts/?page=2
                    results:
                      - count: 1
                        next: null
                        previous: null
                        results:
                          - market_partner: '9900080000007'
                            marketpartner_bills:
                              - AB 4009136XYZ
                              - AB 4009199XXX
                            pay_date: '2020-06-10'
                            remadv_sent: '2020-05-30T23:05:27Z'
                            remittance_advice_number: ADV202005313468XXXX
                            tax_aggregations:
                              '16':
                                gross_prepaid_amount: 88
                                gross_to_pay_per_tax_rate: 50.098
                                prepaid_tax_amount: 14.08
                                tax_amount: 22.62
                              '19':
                                gross_prepaid_amount: 88
                                gross_to_pay_per_tax_rate: 53.67
                                prepaid_tax_amount: 14.08
                                tax_amount: 22.62
                            total_amount: 997.97
                  summary: List Payment Advices Success
          description: ''
components:
  schemas:
    PaginatedPaymentAdviceResponseList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/PaymentAdviceResponse'
    PaymentAdviceResponse:
      type: object
      properties:
        next:
          type: string
          nullable: true
        previous:
          type: string
          nullable: true
        count:
          type: integer
        results:
          type: array
          items:
            $ref: '#/components/schemas/PaymentAdvice'
      required:
        - count
        - next
        - previous
        - results
    PaymentAdvice:
      type: object
      properties:
        remittance_advice_number:
          type: string
        pay_date:
          type: string
          format: date
          nullable: true
        remadv_sent:
          type: string
          format: date-time
        total_amount:
          type: number
          format: double
          nullable: true
        market_partner:
          type: string
          title: Marktpartner ID
        marketpartner_bills:
          type: array
          items:
            type: string
          readOnly: true
        tax_aggregations:
          type: string
          readOnly: true
      required:
        - market_partner
        - marketpartner_bills
        - remadv_sent
        - remittance_advice_number
        - tax_aggregations

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.